services:
  # fradrive-env:
  #   image: registry.uniworx.de/fradrive/fradrive/fradrive-env:latest
    # build: ./docker/fradrive-env
    # pull_policy: if_not_present
    # volumes:
    #   - .:/fradrive-src
  frontend:
    build:
      dockerfile: ./docker/frontend/Dockerfile
      context: ./
    volumes:
      - &fradrive-mnt "fradrive:/fradrive"
    working_dir: /fradrive
  backend:
    build: ./docker/backend
    volumes:
      - *fradrive-mnt
    working_dir: /fradrive
    depends_on:
      - frontend
  database:
#   image: registry.uniworx.de/fradrive/fradrive/fradrive-db:latest
    build: ./docker/database
    pull_policy: if_not_present
    ports:
      - "9876:5432"
  # fradrive:
  #   image: registry.uniworx.de/fradrive/fradrive/fradrive:0.1.0

volumes:
  fradrive:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: $PWD/